## tail

#### OS/161 Reference Manual

### Name

tail - print part of a file

### Synopsis

`/testbin/tail` file location

### Description

`tail` prints the contents of a file starting at offset location within it, skipping the beginning.

It is somewhat similar in concept to the Unix tail command, but is not compatible, which is why it lives in testbin.

### Requirements

`tail` uses the following system calls:

- open
- read
- write
- lseek
- close
- _exit

`tail` should work once the basic system calls are complete, but will probably be most useful as a debugging tool while working on the file system.